Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.system
Class InvalidAttributeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jboss.util.NestedException
                  org.jboss.system.ConfigurationException
                      org.jboss.system.InvalidAttributeException

All Implemented Interfaces:
  org.jboss.util.NestedThrowable, Serializable

public class InvalidAttributeException
extends ConfigurationException

Thrown to indicate that a given attribute value is not valid.

Version:
  `$Revision: 1.1 $`
Author:
  Jason Dillon
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.jboss.util.NestedThrowable
`org.jboss.util.NestedThrowable.Util`

Field Summary

Fields inherited from class org.jboss.util.NestedException
`nested`

Fields inherited from interface org.jboss.util.NestedThrowable
`DETECT_DUPLICATE_NESTING, NESTED_TRACE_ENABLED, PARENT_TRACE_ENABLED`

Constructor Summary
`InvalidAttributeException(String name, String msg)` Construct a `InvalidAttributeException` with the specified detail message.
`InvalidAttributeException(String name, String msg, Throwable nested)` Construct a `InvalidAttributeException` with the specified detail message and nested `Throwable`.

Methods inherited from class org.jboss.util.NestedException
`getCause, getMessage, getNested, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidAttributeException

    public InvalidAttributeException(String name,
                                     String msg)

  Construct a `InvalidAttributeException` with the specified detail message.

Parameters:
  `name` - The attribute name.
  `msg` - The detail message.

### InvalidAttributeException

    public InvalidAttributeException(String name,
                                     String msg,
                                     Throwable nested)

  Construct a `InvalidAttributeException` with the specified detail message and nested `Throwable`.

Parameters:
  `name` - The attribute name.
  `msg` - The detail message.
  `nested` - Nested `Throwable`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.